/**
 * @export
 * @enum {number}
 */
export declare enum AuthType {
    AuthTypeSASLNone = 0,
    AuthTypeSASLCRAMMD5 = 1,
    AuthTypeSASLPlain = 2,
    AuthTypeSASLGSSAPI = 4,
    AuthTypeSASLDIGESTMD5 = 8,
    AuthTypeSASLLogin = 16,
    AuthTypeSASLSRP = 32,
    AuthTypeSASLNTLM = 64,
    AuthTypeSASLKerberosV4 = 128,
    AuthTypeXOAuth2 = 256,
    AuthTypeXOAuth2Outlook = 512
}
//# sourceMappingURL=AuthType.d.ts.map